Error starting build 692 on Solaris 8, Ultra Sparc 10

This has been happening since at least build 682:
./../jre/bin/java: syntax error at line 1: `(' unexpected
This happens when using the downloadable jre 690.
Workaround is to set JAVA_HOME to a Sun-approved distro, but ant builds do not work from within idea. Same error message.

2 comments

I had similiar problems under Solaris. My problem was I was using the Solaris "tar" program to un-tar the jre and the code. Apparently Solaris "tar" program is not compatible with other versions of tar, i.e. GNU tar. Once I downloaded GNU tar and started using it to unpack the idea downloads, my problems went away.

Hope this helps.

0

Thanks, but it turns out that I had to hand-build a Solaris version of the jre per instructions by Eugene in a previous post. Search forums for Solaris and it shows up.
To make it easy, here it is:
Copy the jre folder from the j2sdk1.4.1_01 dist to $IDEA_HOME
Copy j2sdk1.4.1_01/lib/tools.jar to jre/lib
Copy j2sdk1.4.1_01/bin/javac to jre/bin
Previously I had simply set JAVA_HOME to point to the above dist (w/o doing the jre hand-job) which worked but generated file lock/permission errors when idea tried to write to prefs in my HOME.

0

Please sign in to leave a comment.